techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Carts
  • Getting Started
  • Merchant Account
    • Merchant Wallet
      • Wallet Details
      • Charge Wallet
    • Merchant Settings
    • List Bank Accounts
    • Update Merchant Settings
    • Organization Config
  • Customers
    • Locations
      • List Customer Locations
      • Customer Location Details
      • Create Customer Location
    • Memberships
      • List Customer Memberships
    • Customer Order Statistics
    • List Customers
    • Customer Details
    • Create Customer
    • Update Customer
  • Wallets
    • Customer Wallet Details
    • Deposit Points
    • Deposit Cashback
    • Redeem from Wallet
  • Vouchers
    • Get Voucher Discount
    • Update Voucher Usage
  • Items
    • Item Config Details
    • Update Item Config
    • List Items
    • Item Details
    • Create Item
    • Update Item
    • Delete Item
    • Reserve an item
    • Record Item Purchase
    • Bulk Update Items
    • Bulk Update Item Prices
  • Item Categories
    • List Item Categories
    • Item Category Details
    • Create Category
    • Update Category
    • Delete Category
  • Item Tags
    • List Item Tags
    • Create Tag
    • Update Tag
    • Delete Tag
  • Item Images
    • Create Item Image
    • Upadte Item Image
    • Delete Item Image
  • Item Discounts
    • Create Item Discount
    • Upadte Item Discount
    • Delete Item Discount
  • Item Bundles
    • List Bundle Categories
    • Bundle Category Details
    • Create Bundle Category
    • Update Bundle Category
    • Delete Bundle Category
  • Item Modifiers
    • List Modifier Categories
    • Modifier Category Details
    • Create Modifier Category
    • Update Modifier Category
    • Delete Modifier Category
  • Carts
    • List Carts
      GET
    • Cart Details
      GET
  • Orders
    • Checkout Config Details
    • Update Checkout Config
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Invoices
    • Invoice Config Details
    • Update Invoice Config
    • List Invoices
    • Invoice Details
    • Refund Invoice
  • Transactions
    • List Transactions
    • Transaction Details
    • Capture Bank Transfer Transaction
    • Decline Bank Transfer Transaction
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Subscriptions Statistics
    • Cancel Subscription Auto Renewal
    • Cancel Subscription
    • Increment Subscription Usage
    • Decrement Subscription Usage
    • Bulk Pause Subscriptions
    • Bulk Resume Subscriptions
    • Create Subscription Update
    • Cancel Subscription Update
  • Fulfillments
    • Fulfillment Overview
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Tickets
    • List Tickets
    • Bulk Update Tickets
    • Validate Token and Check in Ticket
  • Shipments
    • Shipping Config Details
    • Update Shipping Config
    • Shipping Labels Details
    • Purchase Shipment Labels
    • Create Shipment
    • Cancel Shipment
    • Create Return Shipment
  • Pickup Locations
    • List Pickup Locations
    • Pickup Location Details
    • Create Pickup Location
    • Update Pickup Location Details
    • Delete Pickup Location
  • Couriers
    • List Couriers
    • Get Active Couriers
    • Get Couriers Prices
    • Courier Details
    • Create Custom Courier
    • Update Custom Courier Details
    • Delete Custom Courier
  • Geo & Places
    • List Countires
    • List Regions
    • List Cities
    • List Districts
  • Webhooks
    • List Webhooks
    • Create Webhook
    • Update Webhook Details
    • Delete Webhook
    • List Webhook Logs
    • Test Webhook
    • Delete Webhook By URL
  • Sales Channels
    • Meals
      • List Provider Meal Plans
      • Update Meals Plans Listings
      • List Provider Meals Orders
      • Provider Meals Order Details
      • List Provider Meals Subscriptions
      • Provider Meals Subscription Details
    • Sales Channel Profile Details
    • List Sales Channel Connections
    • Accept Sales Channel Connection Request
    • Reject Sales Channel Connection Request
    • Activate Sales Channel Connection
    • Deactivate Sales Channel Connection
    • Delete Sales Channel Connection Request
  • Notifications
    • Send Notification
  • Meals Plans
    • List Plan Tags
    • List Plans
    • Plan Details
    • Menu Details
  • Meals Logistics
    • City Details
    • Captain Details
    • Branch Details
    • List Supported Windows
    • List Captains
    • Bulk Update SubOrders
  1. Carts

Cart Details

GET
https://api.techrar.com/order/v1/merchant/carts/{cart_id}/
This endpoint allows you to get cart details by passing the cart_id as a path parameter.
Permission
can_read_cart - carts read only

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/order/v1/merchant/carts//' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 383,
    "created_at": "2025-06-16T19:42:34.585869+03:00",
    "is_expired": false,
    "customer_id": 1,
    "items": [
        {
            "id": 459,
            "item": {
                "id": 108,
                "custom_fields": null,
                "images": [
                    {
                        "ordering": 0,
                        "lang": "en",
                        "full_size": "/media/uploads/items/full_size/2025/05/14/5a8747e6-f1ae-4dfd-b812-66cfdf9e2803.png",
                        "thumbnail": "/media/uploads/items/thumbnail/2025/05/14/ecf22fe0-0509-482c-bbca-63f13a6d3cec.png",
                        "large": null,
                        "medium": null,
                        "small": null
                    },
                    {
                        "ordering": 12,
                        "lang": "en",
                        "full_size": "/media/uploads/items/full_size/2025/05/14/db0b5126-84ee-499d-8dbe-2183ad549a8b.png",
                        "thumbnail": "/media/uploads/items/thumbnail/2025/05/14/6bcd31cb-e570-40a6-88ec-39ef97822c95.png",
                        "large": null,
                        "medium": null,
                        "small": null
                    }
                ],
                "discount": {
                    "is_applied": false,
                    "is_trial_applied": false,
                    "is_usage_price": false,
                    "price_after_discount_no_trial": 100,
                    "price_after_discount": 100
                },
                "stock": {
                    "in_stock": true,
                    "qty": 100
                },
                "modifiers": [
                    {
                        "id": 3,
                        "ordering": 0,
                        "name_en": "mod",
                        "name_ar": "mod",
                        "values": [
                            {
                                "id": 5,
                                "ordering": 0,
                                "name_en": "one",
                                "name_ar": "one"
                            },
                            {
                                "id": 6,
                                "ordering": 0,
                                "name_en": "two",
                                "name_ar": "two"
                            }
                        ]
                    }
                ],
                "variants": [
                    {
                        "id": 108,
                        "custom_fields": null,
                        "images": [
                            {
                                "ordering": 0,
                                "lang": "en",
                                "full_size": "/media/uploads/items/full_size/2025/05/14/5a8747e6-f1ae-4dfd-b812-66cfdf9e2803.png",
                                "thumbnail": "/media/uploads/items/thumbnail/2025/05/14/ecf22fe0-0509-482c-bbca-63f13a6d3cec.png",
                                "large": null,
                                "medium": null,
                                "small": null
                            },
                            {
                                "ordering": 12,
                                "lang": "en",
                                "full_size": "/media/uploads/items/full_size/2025/05/14/db0b5126-84ee-499d-8dbe-2183ad549a8b.png",
                                "thumbnail": "/media/uploads/items/thumbnail/2025/05/14/6bcd31cb-e570-40a6-88ec-39ef97822c95.png",
                                "large": null,
                                "medium": null,
                                "small": null
                            }
                        ],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 100,
                            "price_after_discount": 100
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "variant_title_en": "one2",
                        "variant_title_ar": "one2",
                        "modifier_values": [
                            5
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "digital",
                        "sku": "1744877612311",
                        "price": 100,
                        "name_en": "test",
                        "name_ar": "test",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null
                    },
                    {
                        "id": 111,
                        "custom_fields": null,
                        "images": [],
                        "discount": {
                            "is_applied": true,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 180,
                            "price_after_discount": 180
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "variant_title_en": "two_updated",
                        "variant_title_ar": "two_updated",
                        "modifier_values": [
                            6
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "digital",
                        "sku": "1746546599705",
                        "price": 200,
                        "name_en": "test",
                        "name_ar": "test",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null
                    }
                ],
                "varies_on": "modifiers",
                "bundle_categories": [],
                "plan_config": null,
                "off_days": [],
                "off_dates": [],
                "app_id": 86,
                "ordering": 0,
                "type": "product",
                "service_type": "digital",
                "sku": "1744877612311",
                "price": 100,
                "name_en": "test",
                "name_ar": "test",
                "description_en": "",
                "description_ar": "",
                "is_plan_only": false,
                "is_plan_enabled": false,
                "served_from_date": null,
                "served_to_date": null,
                "served_from_time": null,
                "served_to_time": null,
                "categories": [
                    12
                ]
            },
            "price_before_discount": 100,
            "price_after_discount": 100,
            "auto_renew": false,
            "qty": 1,
            "total_price": 100
        }
    ],
    "price": 100,
    "is_purchased": false
}
Modified at 2025-06-17 08:43:46
Previous
List Carts
Next
Orders
Built with